Bug 1293396 - lua FTBFS during stage2 bootstrap - luac.c:305: undefined reference to `luaP_opnames'
lua FTBFS during stage2 bootstrap - luac.c:305: undefined reference to `luaP_...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lua (Show other bugs)
22
All Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Niemueller
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-bootstrap
  Show dependency treegraph
 
Reported: 2015-12-21 11:42 EST by Jaromír Cápík
Modified: 2016-01-31 21:02 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-08 08:09:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lua.log (31.82 KB, text/plain)
2015-12-21 11:42 EST, Jaromír Cápík
no flags Details

  None (edit)
Description Jaromír Cápík 2015-12-21 11:42:01 EST
Created attachment 1108337 [details]
lua.log

Description of problem:
After switching from f21 to f22 sources, we hit a problem with lua FTBFS in stage2. The build log is attached.

Version-Release number of selected component (if applicable):
lua-5.3.0-2.fc22
Comment 1 d. johnson 2015-12-21 21:27:35 EST
Please try again, but with the newer version:

lua.x86_64                     5.3.2-2.fc22                     @updates-testing
Comment 2 Jaromír Cápík 2015-12-22 04:48:36 EST
Thanks, gonna try with the next batch.
Comment 3 Jaromír Cápík 2016-01-06 08:44:38 EST
Tested with lua-5.3.2-2.fc22 and still failing ...
Comment 4 d. johnson 2016-01-06 11:01:33 EST
How did you try building it?

Did you do something like this?

fedpkg clone -a --branch f22 lua; cd lua; fedpkg srpm; fedpkg mockbuild 

That should work using the same sources that fedora uses in f22.
Comment 5 Jaromír Cápík 2016-01-07 06:02:11 EST
The stage1 bootstrap calls the %prep section of the spec file on the parent builder during the stage1 bootstrap using the parent's rpm and then uses the STAGE2-lua recipe to substitute the %build and %install sections as there's no rpmbuild in the second stage. The recipe can be found in the lua git repository. I see there were some bootstrap related tweaks made in f22 and these probably need to be propagated to the stage2 recipe. I see there was a new bootstrap source package added in the list of sources and the recipe apparently doesn't count with such change.
Comment 6 Jaromír Cápík 2016-01-07 07:32:56 EST
It seems the removal of luac_LDADD="liblua.la -lm -ldl -lreadline" from the make arguments fixes the problem. Let me do a full rebuild and I'll close that if that works.

Note You need to log in before you can comment on or make changes to this bug.